Name:		xconvers
Version:	0.8.3
Release:	13%{?dist}
Summary:	Ham radio convers client similar to IRC for X/GTK

License:	GPLv2+
Group:		Applications/Internet
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

URL:		http://xconvers.sourceforge.net/
Source0:	ftp://ftp.kfki.hu/pub/linux/ubuntu/pool/universe/x/%{name}/%{name}_%{version}.tar.gz
# replace original .desktop file with correct files
Source1:	%{name}.desktop

BuildRequires:	gtk+-devel
BuildRequires:	desktop-file-utils
BuildRequires:	gettext

%description
Xconvers is a client to connect to a convers server (port 3600).
In a split-screen session you can type text into the bottom screen. The
reply from the server can be seen in the top screen. Features: color support,
optional saving of the session to a log file, history for the connect dialog
and the send widget and autologin.

%prep
%setup -q

%build
%configure 
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

# replace original .desktop files with correct files
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/
cp -p pixmaps/%{name}.png ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/%{name}.png
desktop-file-install	\
	--dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE1}
# --vendor="fedora" obsolete per new guidelines.

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING INSTALL AUTHORS README TODO debian/changelog
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/pixmaps
%{_datadir}/%{name}/pixmaps/*.xpm
%{_datadir}/%{name}/pixmaps/*.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/%{name}.1.gz
%{_bindir}/%{name}

%changelog
* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.3-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.3-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.3-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jan 8 2010 Randall J. Berry 'Dp67' <randyn3lrx@gmail.com> - 0.6.4-8
- Fix .desktop file per bug #530842

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb 8 2009 - Randall J. Berry <dp67@fedoraproject.org> - 0.8.3-5
- CVS import
- system build

* Fri Feb 6 2009 - Randall J. Berry <dp67@fedoraproject.org> - 0.8.3-4
- edit spec per review
- remove redundant require gtk+
- use INSTALL="install -p" to preserve pixmap timestamps
- use original png for icon to preserve original timestamp

* Thu Feb 5 2009 - Randall J. Berry <dp67@fedoraproject.org> - 0.8.3-3
- fix unowned directories

* Wed Feb 4 2009 - Randall J. Berry <dp67@fedoraproject.org> - 0.8.3-2
- edit spec file
- replaced invalid desktop files
- rpmbuild f9 i386
- mock build f9/10/devel i386

* Sat Feb 01 2003 - Joop Stakenborg <pg4i@amsat.org> - 0.8.3-1
- Initial spec file
